org.eclipse.rdf4j.query.parser.sparql

## Class AbstractASTVisitor

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor

- All Implemented Interfaces:
    SyntaxTreeBuilderVisitor
  Direct Known Subclasses:
    ASTVisitorBase, BlankNodeVarProcessor, TupleExprBuilder, WildcardProjectionProcessor

      public abstract class AbstractASTVisitor
      extends Object
      implements SyntaxTreeBuilderVisitor

  Base class for visitors of the SPARQL AST.
  Author:
    arjohn

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractASTVisitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `visit(ASTAbs node, Object data)`
    `Object` | `visit(ASTAdd node, Object data)`
    `Object` | `visit(ASTAnd node, Object data)`
    `Object` | `visit(ASTAskQuery node, Object data)`
    `Object` | `visit(ASTAvg node, Object data)`
    `Object` | `visit(ASTBaseDecl node, Object data)`
    `Object` | `visit(ASTBasicGraphPattern node, Object data)`
    `Object` | `visit(ASTBindingsClause node, Object data)`
    `Object` | `visit(ASTBindingSet node, Object data)`
    `Object` | `visit(ASTBindingValue node, Object data)`
    `Object` | `visit(ASTBind node, Object data)`
    `Object` | `visit(ASTBlankNode node, Object data)`
    `Object` | `visit(ASTBlankNodePropertyList node, Object data)`
    `Object` | `visit(ASTBNodeFunc node, Object data)`
    `Object` | `visit(ASTBound node, Object data)`
    `Object` | `visit(ASTCeil node, Object data)`
    `Object` | `visit(ASTClear node, Object data)`
    `Object` | `visit(ASTCoalesce node, Object data)`
    `Object` | `visit(ASTCollection node, Object data)`
    `Object` | `visit(ASTCompare node, Object data)`
    `Object` | `visit(ASTConcat node, Object data)`
    `Object` | `visit(ASTConstraint node, Object data)`
    `Object` | `visit(ASTConstruct node, Object data)`
    `Object` | `visit(ASTConstructQuery node, Object data)`
    `Object` | `visit(ASTContains node, Object data)`
    `Object` | `visit(ASTCopy node, Object data)`
    `Object` | `visit(ASTCount node, Object data)`
    `Object` | `visit(ASTCreate node, Object data)`
    `Object` | `visit(ASTDatasetClause node, Object data)`
    `Object` | `visit(ASTDatatype node, Object data)`
    `Object` | `visit(ASTDay node, Object data)`
    `Object` | `visit(ASTDeleteClause node, Object data)`
    `Object` | `visit(ASTDeleteData node, Object data)`
    `Object` | `visit(ASTDeleteWhere node, Object data)`
    `Object` | `visit(ASTDescribe node, Object data)`
    `Object` | `visit(ASTDescribeQuery node, Object data)`
    `Object` | `visit(ASTDrop node, Object data)`
    `Object` | `visit(ASTEncodeForURI node, Object data)`
    `Object` | `visit(ASTExistsFunc node, Object data)`
    `Object` | `visit(ASTFalse node, Object data)`
    `Object` | `visit(ASTFloor node, Object data)`
    `Object` | `visit(ASTFunctionCall node, Object data)`
    `Object` | `visit(ASTGraphGraphPattern node, Object data)`
    `Object` | `visit(ASTGraphOrDefault node, Object data)`
    `Object` | `visit(ASTGraphPatternGroup node, Object data)`
    `Object` | `visit(ASTGraphRefAll node, Object data)`
    `Object` | `visit(ASTGroupClause node, Object data)`
    `Object` | `visit(ASTGroupConcat node, Object data)`
    `Object` | `visit(ASTGroupCondition node, Object data)`
    `Object` | `visit(ASTHavingClause node, Object data)`
    `Object` | `visit(ASTHours node, Object data)`
    `Object` | `visit(ASTIf node, Object data)`
    `Object` | `visit(ASTInfix node, Object data)`
    `Object` | `visit(ASTInlineData node, Object data)`
    `Object` | `visit(ASTIn node, Object data)`
    `Object` | `visit(ASTInsertClause node, Object data)`
    `Object` | `visit(ASTInsertData node, Object data)`
    `Object` | `visit(ASTIRIFunc node, Object data)`
    `Object` | `visit(ASTIRI node, Object data)`
    `Object` | `visit(ASTIsBlank node, Object data)`
    `Object` | `visit(ASTIsIRI node, Object data)`
    `Object` | `visit(ASTIsLiteral node, Object data)`
    `Object` | `visit(ASTIsNumeric node, Object data)`
    `Object` | `visit(ASTLangMatches node, Object data)`
    `Object` | `visit(ASTLang node, Object data)`
    `Object` | `visit(ASTLimit node, Object data)`
    `Object` | `visit(ASTLoad node, Object data)`
    `Object` | `visit(ASTLowerCase node, Object data)`
    `Object` | `visit(ASTMath node, Object data)`
    `Object` | `visit(ASTMax node, Object data)`
    `Object` | `visit(ASTMD5 node, Object data)`
    `Object` | `visit(ASTMin node, Object data)`
    `Object` | `visit(ASTMinusGraphPattern node, Object data)`
    `Object` | `visit(ASTMinutes node, Object data)`
    `Object` | `visit(ASTModify node, Object data)`
    `Object` | `visit(ASTMonth node, Object data)`
    `Object` | `visit(ASTMove node, Object data)`
    `Object` | `visit(ASTNotExistsFunc node, Object data)`
    `Object` | `visit(ASTNotIn node, Object data)`
    `Object` | `visit(ASTNot node, Object data)`
    `Object` | `visit(ASTNow node, Object data)`
    `Object` | `visit(ASTNumericLiteral node, Object data)`
    `Object` | `visit(ASTObjectList node, Object data)`
    `Object` | `visit(ASTOffset node, Object data)`
    `Object` | `visit(ASTOptionalGraphPattern node, Object data)`
    `Object` | `visit(ASTOrderClause node, Object data)`
    `Object` | `visit(ASTOrderCondition node, Object data)`
    `Object` | `visit(ASTOr node, Object data)`
    `Object` | `visit(ASTPathAlternative node, Object data)`
    `Object` | `visit(ASTPathElt node, Object data)`
    `Object` | `visit(ASTPathMod node, Object data)`
    `Object` | `visit(ASTPathOneInPropertySet node, Object data)`
    `Object` | `visit(ASTPathSequence node, Object data)`
    `Object` | `visit(ASTPrefixDecl node, Object data)`
    `Object` | `visit(ASTProjectionElem node, Object data)`
    `Object` | `visit(ASTPropertyList node, Object data)`
    `Object` | `visit(ASTPropertyListPath node, Object data)`
    `Object` | `visit(ASTQName node, Object data)`
    `Object` | `visit(ASTQuadsNotTriples node, Object data)`
    `Object` | `visit(ASTQueryContainer node, Object data)`
    `Object` | `visit(ASTRand node, Object data)`
    `Object` | `visit(ASTRDFLiteral node, Object data)`
    `Object` | `visit(ASTRegexExpression node, Object data)`
    `Object` | `visit(ASTReplace node, Object data)`
    `Object` | `visit(ASTRound node, Object data)`
    `Object` | `visit(ASTSameTerm node, Object data)`
    `Object` | `visit(ASTSample node, Object data)`
    `Object` | `visit(ASTSeconds node, Object data)`
    `Object` | `visit(ASTSelect node, Object data)`
    `Object` | `visit(ASTSelectQuery node, Object data)`
    `Object` | `visit(ASTServiceGraphPattern node, Object data)`
    `Object` | `visit(ASTSHA1 node, Object data)`
    `Object` | `visit(ASTSHA224 node, Object data)`
    `Object` | `visit(ASTSHA256 node, Object data)`
    `Object` | `visit(ASTSHA384 node, Object data)`
    `Object` | `visit(ASTSHA512 node, Object data)`
    `Object` | `visit(ASTStrAfter node, Object data)`
    `Object` | `visit(ASTStrBefore node, Object data)`
    `Object` | `visit(ASTStrDt node, Object data)`
    `Object` | `visit(ASTStrEnds node, Object data)`
    `Object` | `visit(ASTString node, Object data)`
    `Object` | `visit(ASTStrLang node, Object data)`
    `Object` | `visit(ASTStrLen node, Object data)`
    `Object` | `visit(ASTStr node, Object data)`
    `Object` | `visit(ASTStrStarts node, Object data)`
    `Object` | `visit(ASTSTRUUID node, Object data)`
    `Object` | `visit(ASTSubstr node, Object data)`
    `Object` | `visit(ASTSum node, Object data)`
    `Object` | `visit(ASTTimezone node, Object data)`
    `Object` | `visit(ASTTriplesSameSubject node, Object data)`
    `Object` | `visit(ASTTriplesSameSubjectPath node, Object data)`
    `Object` | `visit(ASTTrue node, Object data)`
    `Object` | `visit(ASTTz node, Object data)`
    `Object` | `visit(ASTUnionGraphPattern node, Object data)`
    `Object` | `visit(ASTUnparsedQuadDataBlock node, Object data)`
    `Object` | `visit(ASTUpdateContainer node, Object data)`
    `Object` | `visit(ASTUpdate node, Object data)`
    `Object` | `visit(ASTUpdateSequence node, Object data)`
    `Object` | `visit(ASTUpperCase node, Object data)`
    `Object` | `visit(ASTUUID node, Object data)`
    `Object` | `visit(ASTVar node, Object data)`
    `Object` | `visit(ASTWhereClause node, Object data)`
    `Object` | `visit(ASTYear node, Object data)`
    `Object` | `visit(SimpleNode node, Object data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractASTVisitor

          public AbstractASTVisitor()

  - ### Method Detail

    - #### visit

          public Object visit(ASTAbs node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTUpdateSequence node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBindingValue node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTInlineData node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTUnparsedQuadDataBlock node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTUpdateContainer node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTAdd node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBindingSet node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTClear node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTCopy node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTCreate node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTDeleteClause node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTDeleteData node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTDeleteWhere node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTDrop node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTGraphOrDefault node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTGraphRefAll node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTInfix node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTInsertClause node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTInsertData node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTLoad node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTModify node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTMove node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTNow node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTYear node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTMonth node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTDay node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTHours node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTTz node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTMinutes node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSeconds node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTTimezone node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTAnd node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTAskQuery node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTAvg node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTMD5 node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSHA1 node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSHA224 node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSHA256 node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSHA384 node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSHA512 node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBaseDecl node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBasicGraphPattern node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBind node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBindingsClause node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBlankNode node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBlankNodePropertyList node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBNodeFunc node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBound node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTCeil node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTCoalesce node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTConcat node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTContains node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTCollection node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTCompare node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTConstraint node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTConstruct node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTConstructQuery node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTCount node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTDatasetClause node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTDatatype node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTDescribe node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTDescribeQuery node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTExistsFunc node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTEncodeForURI node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTFalse node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTFloor node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTFunctionCall node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTGraphGraphPattern node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTGraphPatternGroup node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTGroupClause node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTGroupConcat node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTGroupCondition node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTHavingClause node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTIf node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTIn node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTIRI node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTIRIFunc node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTIsBlank node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTIsIRI node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTIsLiteral node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTIsNumeric node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTLang node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTLangMatches node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTLimit node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTLowerCase node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTMath node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTMax node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTMin node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTMinusGraphPattern node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTNot node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTNotExistsFunc node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTNotIn node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTNumericLiteral node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTObjectList node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTOffset node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTOptionalGraphPattern node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTOr node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTOrderClause node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTOrderCondition node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTPathAlternative node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTPathElt node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTPathMod node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTPathOneInPropertySet node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTPathSequence node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTPrefixDecl node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTProjectionElem node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTPropertyList node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTPropertyListPath node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTQName node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTQueryContainer node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTRand node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTRDFLiteral node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTRegexExpression node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTReplace node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTRound node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSameTerm node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSample node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSelect node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSelectQuery node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTServiceGraphPattern node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTStr node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTStrAfter node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTStrBefore node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTStrDt node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTStrEnds node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTString node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTUUID node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSTRUUID node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTStrLang node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTStrLen node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTStrStarts node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSubstr node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSum node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTTriplesSameSubject node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTTriplesSameSubjectPath node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTQuadsNotTriples node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTTrue node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTUnionGraphPattern node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTUpdate node,
                              Object data)
                       throws VisitorException

      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTUpperCase node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTVar node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTWhereClause node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(SimpleNode node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.